| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Attributes
Tp::MediaDescriptionOffer Struct Reference
Structure types

`#include <TelepathyQt/Types>`

List of all members.

## Public Attributes

- QDBusObjectPath mediaDescription
- QVariantMap properties

## Detailed Description

Structure type generated from the specification.

The remote description offer and its information

## Member Data Documentation

QDBusObjectPath Tp::MediaDescriptionOffer::mediaDescription

The object path to the CallContentMediaDescriptionInterface

QVariantMap Tp::MediaDescriptionOffer::properties

The immutable properties of all interfaces of the codec description. Having all the codec description properties here saves a D-Bus round-trip - it shouldn't be necessary to get the properties from the MediaDescription object, in practice.